\version "2.2.3"
\include "defs.ly"
\include "italiano.ly"

#(set-global-staff-size 18)
chordOffset = #(cons 0.0 2.0)

Mmark       = \markup{ \override  #'(font-name . "wcmss10")  }
Bmark       = \markup{ \override  #'(font-name . "wcmss10")  }

Cm          = \markup{ \chord #"\\hskip -.3em Cm" }
CSept       = \markup{ \chord #"\\hskip -.3em C\\small7" }
CmEb        = \markup{ \chord #"\\hskip -.3em {Cm\\over E^\\flat}" }
DmSeptNonb  = \markup{ \chord #"\\hskip -.3em Dm\\small{7\\!/5-}" }
Eb          = \markup{ \chord #"\\hskip -.3em E^\\flat" }
Fm          = \markup{ \chord #"\\hskip -.3em Fm" }
FmSept      = \markup{ \chord #"\\hskip -.3em Fm\\small7" }
GSept       = \markup{ \chord #"\\hskip -.3em G\\small7" }
AbEb        = \markup{ \chord #"\\hskip -.3em {A^\\flat\\over E^\\flat}" }
BNon        = \markup{ \chord #"\\hskip -.3em B\\small9" }


\score {
    \notes <<
        \override Score.SpacingSpanner #'shortest-duration-space = #3.0
        \override Score.LyricText #'font-name = \lyricsFont
        \context Voice = "voice" {
            \time 3/4
            \clef violin
            \key do \minor
            \relative do' {
                %\autoBeamOff
                r2 r8^\mp sol8
              | \repeat volta 3 {
                  sol^\Cm mib'16 re16
                  << { mib4\melisma \times 2/3 {r4 sol,8} }
                     { s16 \grace{\stemDown mib'8\melismaEnd do\stemBoth} } >>
                | sol8^\GSept fa'16 mib fa4 \times 2/3 {r4 sol,8}
                | sol fa'16 mib fa4 \times 2/3 {re sol,8}
% 5
                | lab'4^\Cm sol \times 2/3 {r4 sol8}
                | \time 2/4
                  \times 2/3 {lab8^\FmSept lab lab}  \times 2/3 {lab sol lab}
                | do4^\BNon~ \times 2/3 {do8 sib fa}
                | sol4^\Eb \times 2/3 {r4^\CSept sib8}
                | sib4^\Fm lab
% 10
                | r4 \times 2/3 {r4 lab8}
                | lab4^\AbEb sol^\CmEb
                | \once \override TextScript #'extra-offset = #'(0 . 1)
                  r4^\AbEb
                  \once \override TextScript #'extra-offset = #'(0 . 1)
                  \times 2/3 {r4^\CmEb sol8}
                | \time 3/4
                  sol4^\DmSeptNonb~ \times 2/3 {sol8[ fa mib]}
                  \times 2/3 {re^\GSept[ sol, sol]}
                | fa'4^\Cm mib \times 2/3{r4^\CSept sib'8}
% 15
                | \time 2/4
                  sib4^\Fm lab
                | r4 \times 2/3 {r4 lab8}
                | lab4^\AbEb sol^\CmEb
                | \once \override TextScript #'extra-offset = #'(0 . 1)
                  r4^\AbEb
                  \once \override TextScript #'extra-offset = #'(0 . 1)
                  \times 2/3 {r4^\CmEb sol8}
                | \time 3/4
                  sol4^\DmSeptNonb~
                  \times 2/3 {sol8[ fa mib]}
                  \times 2/3 {re^\GSept[ sol, sol]}
                |
                }
                \alternative {
% 20
                    { \once \override TextScript #'extra-offset = #'(0 . -2)
                      re'4^\Cm do \times 2/3 { r4 sol8} | }
                    { \once \override TextScript #'extra-offset = #'(0 . -2)
                      re'4^\Cm do~ \times 2/3 {do r8} \bar "|." }
                }
            }
        }


        \lyricsto "voice" \new Lyrics \lyrics {
             --  --  --    __    --  --  --   
               --  --    --    --  -- .     -- 
               --  --      __  --   ,  _---
             -- ,  _---   -- ,  _---   __  --    -- 
               -- .    _---   -- ,  _---   -- ,
            _---   __  -- _   --      -- .    
            "// " -- . __
        }


        \new PianoStaff <<
            \new Staff {
                \clef violin
                \key do \minor
                \relative do' {
                    \once \override DynamicText #'extra-offset = #'(0 . -5)
                    r2_\p r8 sol8
                  | sol <do mib>16 <si re>
                    <<{mib4~ \times 2/3 {mib4 sol,8}} \\ {do8 do do4}>>
                  | sol8 <re' fa>16 <do mib> <re fa>4~ \times 2/3 {<re fa> sol,8}
                  | sol <re' fa>16 <do mib>
                    <re fa>4 \times 2/3 {<sol, re'> sol8}
% 5
                  | <<{ <fa' lab>4 <mib sol>2
                      | \times 2/3 {lab8 lab lab}  \times 2/3 {lab sol lab}
                      | <lab do>4~ \times 2/3 {<lab do>8 <sol sib> fa}
                      | sol4~ \times 2/3 {sol4 sib8}
                      | sol4 lab
% 10
                      | sib'4 \times 2/3 {<lab, do lab'> < lab do, lab>8 }
                      | lab4 sol
                      | lab' \times 2/3{<sol, do sol'> <sol, do sol'>8}
                      | sol'4~ \times 2/3 {sol8[ fa mib]} \times 2/3 {re[ sol, sol]}
                      | <fa re'>4 \times 2/3 {<sol mib'> <do sol'>8}
                        \times 2/3 {sol'4 sib8}
% 15
                      | sol4 lab
                      | sib' \times 2/3 {<lab, do lab'> <lab, do lab'>8}
                      | lab'4 sol
                      | lab' \times 2/3 {<sol, do sol'> <sol, do sol'>8}
                      | sol'4~ \times 2/3 {sol8[ fa mib]}  \times 2/3 {re[ sol, sol]}
                      |
                      } \\ {
% 5
                        \times 2/3 {r4 re'8}  \times 2/3 {re4 do8}
                        \times 2/3 {si4 <sib sol'>8}
                      | <lab mib'>4 <lab mib'>
                      | s2
                      | \times 2/3 {mib'4 re8}  \times 2/3 {reb do sib}
                      | \times 2/3 { <sib do>4 <sib do>8 }
                        \times 2/3 {<lab do>4 <lab do>8}
% 10
                      | \times 2/3 {<sib' do>4 <sib do>8} s4
                      | \times 2/3 {<lab, do>4 <lab do>8}
                        \times 2/3 {<sol do>4 <sol do>8}
                      | \times 2/3 {<lab' do>4 <lab do>8} s4
                      | \times 2/3 {<lab, do>4 <lab do>8} <lab do>4 <fa do'>
                      | s2 \times 2/3 {reb'8 do sib}
% 15
                      | \times 2/3 {<sib do>4 <sib do>8}  \times 2/3 {<lab do>4 <lab do>8}
                      | \times 2/3 {<sib' do>4 <sib do>8} s4
                      | \times 2/3 {<lab, do>4 <lab do>8}  \times 2/3 {<sol do>4 <sol do>8}
                      | \times 2/3 {<lab' do>4 <lab do>8} s4
                      | \times 2/3 {<lab, do>4 <lab do>8} <lab do>4 <fa do'>
                      |
                      }>>
% 20
                  | <fa re'>4 <sol mib'>~ \times 2/3 {<sol mib'> sol8}
                  | <fa re'>4 <sol mib'>~ \times 2/3 {<sol mib'> do'8}
                  |
                }
            }


            \new Staff {
                \clef bass
                \key do \minor
                <sol,, lab,, sol,>4_> <sol,, lab,, sol,>_> <sol,, lab,, sol,>_>
              | <do, do>4.^\Mmark sol,8 <do, do>4
              | << { <re, re>4.^\markup{\sans 7} }
                   { s8 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    sol,4 } }
                >> sol,8 <re, re>4
              | <si, si,,>4. sol,8 <si, si,,>4
% 5
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {<do, do>4^\Mmark <do, do>8}  \times 2/3 {<do, do>4 <do, do>8}
                \times 2/3 {<do, do>4 <do, do>8}
              | fa,4^\Mmark do
              | <<{\times 2/3 {r4^\markup{\sans 7} lab8} <sib re'>4} \\ {<sib,, sib,>2}>>
              | mib,4^\Bmark
                << { mi,^\markup{\sans 7} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    do4 } }
                >>
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {<fa, do>4^\Mmark <fa, do>8}  \times 2/3 {<fa, do>4 <fa, do>8}
% 10
              | \times 2/3 {<fa, do>4 <fa, do>8}  \times 2/3 {<fa, do>4 <fa, do>8}
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                << { \times 2/3 {<mib, do>4^\Bmark <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    lab,4 } }
                >>
                \once \override TextScript #'extra-offset = #'(0 . 1)
                << { \times 2/3 {<mib, do>4^\Mmark <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    do4 } }
                >>
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                << { \times 2/3 {<mib, do>4^\Bmark <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    lab,4 } }
                >>
                \once \override TextScript #'extra-offset = #'(0 . 1)
                << { \times 2/3 {<mib, do>4^\Mmark <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    do4 } }
                >>
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {re,4^\Mmark re,8}  \times 2/3 {re,4 re,8}
                << { \once \override TextScript #'extra-offset = #'(0 . 1)
                     \times 2/3 {sol,4^\markup{\sans 7} sol,8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    do4 } }
                >>
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {do,4^\Mmark do,8}  \times 2/3 {do,4 mib,8}
                << { mi,4^\markup{\sans 7} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    do4 } }
                >>
% 15
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {<fa, do>4^\Mmark <fa, do>8}  \times 2/3 {<fa, do>4 <fa, do>8}
              | \times 2/3 {<fa, do>4 <fa, do>8}  \times 2/3 {<fa, do>4 <fa, do>8}
              | << { \times 2/3 {<mib, do>4 <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    lab,4 } }
                >>
                \once \override TextScript #'extra-offset = #'(0 . 1)
                << { \times 2/3 {<mib, do>4^\Mmark <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    do4 } }
                >>
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                << { \times 2/3 {<mib, do>4^\Bmark <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    lab,4 } }
                >>
                \once \override TextScript #'extra-offset = #'(0 . 1)
                << { \times 2/3 {<mib, do>4^\Mmark <mib, do>8} }
                   { s16 \grace{ \once \override NoteHead #'print-function =
                           #(parenthesize-callback Note_head::print)
                       \once \override Stem #'transparent = ##t
                    do4 } }
                >>
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {re,4^\Mmark re,8}  \times 2/3 {re,4 re,8}
                \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {sol,4^\markup{\sans 7} sol,8}
% 20
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {do,4^\Mmark do,8}  \times 2/3 {do,4 do,8}
                \times 2/3 {do,4 sol,8}
              | \once \override TextScript #'extra-offset = #'(0 . 1)
                \times 2/3 {do,4^\Mmark do,8}  \times 2/3 {do,4 do,8}
                \times 2/3 {do,4 do,8}
              |
            }
        >>
    >>


    \paper {
        papersize = "a4"
        linewidth = 170\mm
        indent    = 10\mm
         \context {
           \PianoStaffContext
           \override VerticalAlignment #'forced-distance = #17
         }
    }


    \midi {
        \tempo 1 = 20
    }
}


%{
Local variables:
compile-command:  "make EchoLubvi.ps && gv EchoLubvi.ps"
End:
%}
