\version "2.2.3"
\include "defs.ly"
\include "italiano.ly"

#(set-global-staff-size 18)

C           = \markup{ \chord #"\\hskip -.3em C" }
CSept       = \markup{ \chord #"\\hskip -.3em C\\small7" }
CsusQuart   = \markup{ \chord #"\\hskip -.3em Csus\\small4" }
D           = \markup{ \chord #"\\hskip -.3em D" }
DmSept      = \markup{ \chord #"\\hskip -.3em Dm\\small7" }
Eb          = \markup{ \chord #"\\hskip -.3em E^\\flat" }
F           = \markup{ \chord #"\\hskip -.3em F" }
Gm          = \markup{ \chord #"\\hskip -.3em Gm" }
GmF         = \markup{ \chord #"\\hskip -.3em {Gm\\over F}" }
GmNon       = \markup{ \chord #"\\hskip -.3em Gm\\small9" }
GNon        = \markup{ \chord #"\\hskip -.3em G\\small9" }
Ab          = \markup{ \chord #"\\hskip -.3em A^\\flat" }
ASept       = \markup{ \chord #"\\hskip -.3em A\\small7" }
AbaddNon    = \markup{ \chord #"\\hskip -.3em A^\\flat add\\small9" }
AbMajNon    = \markup{ \chord #"\\hskip -.3em A^\\flat\\!\\small{\\Delta9}" }
AbMajSept   = \markup{ \chord #"\\hskip -.3em A^\\flat\\!\\small{\\Delta7}" }
Bb          = \markup{ \chord #"\\hskip -.3em B^\\flat" }
BbSept      = \markup{ \chord #"\\hskip -.3em B^\\flat\\small7" }
BbMajSept   = \markup{ \chord #"\\hskip -.3em B^\\flat\\!\\small{\\Delta7}" }
BbMajSeptC  = \markup{ \chord #"\\hskip -.3em {B^\\flat\\!\\small{\\Delta7}\\over C}" }


\score {
    % Uncomment the following line to produce correct MIDI output
    %\apply #unfold-repeats
    \notes <<
        %\override Score.SpacingSpanner #'shortest-duration-space = #1.8
        \override Score.RehearsalMark #'padding   = #2
        \override Score.RehearsalMark #'font-size = #0
        \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
        \override Score.LyricText #'font-name = \lyricsFont
        \context Voice = "voice" {
            \set Staff.minimumVerticalExtent = #'(-5 . 5)
            \clef violin
            \key do \minor
            \relative do'' {
                \time 3/4
                s1*0^\Eb R2.
              | \time 2/4
                << { s8.^\Eb s16^\D s4 } \\
                   { \once \override MultiMeasureRest #'staff-position = #0 R2 } >>
              | \time 4/4
                << { s4^\Gm s4^\GmF s2^\CSept } \\
                   { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
              | s1*0^\F R1
% 5
              | << { s2^\Bb     s2^\AbMajNon  } \\
                   { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
              | << { s2^\BbSept s2^\AbMajSept } \\
                   { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
              | << { \fatText s2^\BbSept^\markup{\hspace #10 }
                     s2^\AbMajSept^\markup{ \hspace #10 } } \\
                   { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
              | << { s4^\Bb     s2.^\BbSept   } \\
                   { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
                \mark \markup { \smaller \smaller \musicglyph #"scripts-segno" }
              \bar "||"
                \time 3/4
                sol8^\Eb sib~ sib16 do8. sol4
% 10
              | \time 2/4
                sib16^\Eb do8 sol16~ sol8^\D la
              | \time 4/4
                sib8^\Gm sib sib^\GmF la do4^\CSept sib
              | la2^\F r8 sib la sol
              | fa4^\Bb r lab8^\AbaddNon sib16 do~ do8 \fatText sib^\markup{ \hspace #5 }~\emptyText
              | sib4^\BbSept r4 sol8^\Ab sib16 mib~ mib8 re~
% 15
              | re4^\BbSept r
                << { s2
              |      s4^\Bb s2.^\BbSept } { lab8^\Ab sib16 do~ do8 sib~  |  sib2 si2\rest } >>
                \once \override Score.RehearsalMark #'self-alignment-X = #1
                \mark \markup { { \bold \raise #-.7 "to " } \musicglyph #"scripts-coda" }
              | \repeat volta 2 {
                  do4^\DmSept re8 fa~ fa re r do
                | sib4^\GmNon la8 sol~ sol4 r
                | do8^\F re fa la16( sib la2)~
% 20
                | la4 r8 do,8~ do re r sol~
                | sol^\CsusQuart  fa16 sol r8 sol16 fa sol^\C sol sol r r4
                | sol8^\CsusQuart fa16 sol r8 sol16 fa sol^\C sol sol sol la8^\ASept la16
                  \fatText fa^\markup{ \hspace #7 }~\emptyText
                | fa8^\DmSept re4. r4 fa16 sol8 re16~
                |
                }
                \alternative {
                    {
                        \once \override TextScript #'extra-offset = #'(0 . -1)
                        re2^\GmNon r4 lab8 la
                        \set Score.repeatCommands = #'((volta #f))
% 25
                      \bar "||"
                        \time 2/4
                        fa'8^\DmSept( mi) re16 la8( sol16)
                      | \time 4/4
                        fa8.^\GNon re16~ re4 r4 lab'16 la8 fa'16~
                      | \time 2/4
                        fa8^\DmSept( mi) re16 la8( sol16)
                      | \time 4/4
                        fa8.^\GNon re16~ re8 sol~ sol4 r8 la
                      | la16^\BbMajSeptC sol8 do16~ do4 r4 r16 re8.
% 30
                      | fa4^\BbMajSept re8 la'~ la4 fa16 sol8 la16(
                      | lab^\DmSept) fa( sol8 fa16 re8.) r4 fa16 sol8 re16~
                      | re2^\GmNon r2
                      | \time 2/4
                        s2*0^\Eb R2
                      | \time 3/4
                        s2.*0^\Eb R2.
% 35
                      | \time 2/4
                        << { s4^\Eb s4^\D } \\
                           { \once \override MultiMeasureRest #'staff-position = #0 R2 } >>
                      | \time 4/4
                        << { s4^\Gm s4^\GmF s2^\CSept } \\
                           { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
                      | s1*0^\F R1
                      | << { s2^\Bb s2^\AbMajNon } \\
                           { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
                      | << { s2^\BbSept s2^\AbMajSept }
                           { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
% 40
                      | << { \fatText s2^\BbSept^\markup{ \hspace #10 }
                             s2^\AbMajSept^\markup{ \hspace #10 } } \\
                           { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
                      | << { s4^\Bb s2.^\BbSept } \\
                           { \once \override MultiMeasureRest #'staff-position = #0 R1 } >>
                      |
                    }
                    {
                        \once \override TextScript #'extra-offset = #'(0 . -1)
                        \acciaccatura {
                            \once \override Slur #'direction = #1
                            \once \override Slur #'attachment-offset = #'((-2.5 . 0) . (0 . 0))
                            \once \override NoteHead #'print-function = ##f
                            re1
                        } re2^\GmNon r2
                        \set Score.repeatCommands = #'((volta #f))
                      | \time 2/4
                        s2*0^\Eb R2
                    }
                }
                \once \override Score.RehearsalMark #'self-alignment-X = #-1
                \once \override Score.RehearsalMark #'extra-offset = #'(0 . 1)
                \mark \markup{ \musicglyph #"scripts-coda" \bold \raise #-.7 "Coda" }
              \bar "||"
                \time 4/4
                \once \override TextScript #'extra-offset = #'(0 . -1)
                s1*0^\Eb R1
% 45
              | { \fatText s1*0^\markup{ \hspace #10 } }
                  R1^\fermataMarkup
              \bar "|."
            }
        }


        \lyricsto "voice" \new Lyrics \lyrics {
            Mar -- tha __  my  dear
            Though  I  spend __  my  days  in  con -- ver -- sa -- tion  please
            Re -- mem -- ber  me  Mar -- tha  my __  love __
            Don't  for -- get __  me __  Mar -- tha  my __  dear __
            Hold  your  head __  up  you  sil -- ly  girl __
            Look  what  you've  done __
            When __  you  find __  your -- self  in  the  thick  of  it
            Help  your -- self  to  a  bit  of  what  is  all  a -- round __  you
            Sil -- ly  girl __
            Take  a  good __  look  a __ round  you __
            Take  a  good __  look  you're  bound  to __  see __
            That  you  and  me __  were  meant  to  be __  for  each  o -- ther __
            Sil -- ly  girl
        }


        \new PianoStaff <<
            \new Staff {
                \clef violin
                \key do \minor
                \relative do'' {
                    sol8 sib~ sib16 do8. sol4
                  | sib16 do8 sol16~ sol16 la8.
                  | sib8 sib sib la do4 sib
                  | la2~ la8 \acciaccatura{la} sib la sol
% 5
                  | fa[ si16\rest fa] si16\rest fa si8\rest
                    <mib, lab sib> <mib lab sib> <mib lab sib> <mib lab sib>
                  | \repeat "percent" 2 { lab lab sol16 fa8 mib16~ mib16 lab,
                                          do mib~ mib sol mib8 }
                  | sib'8 sib lab16 sol fa8 re16 fa8 sol16 lab4
                  | sol8 sib~ sib16 do8. sol4
% 10
                  | sib16 do8 sol16~ sol16 la8.
                  | sib8 sib sib la do4 sib
                  | la2~ la8 \acciaccatura{la} sib la sol
                  | fa[ si16\rest fa] si16\rest fa si8\rest
                    <mib, lab sib> <mib lab sib> <mib lab sib> <mib lab sib>
                  | \repeat "percent" 2 { lab lab sol16 fa8 mib16~ mib16 lab,
                                          do mib~ mib sol mib8 }
% 16
                  | sib'8 sib lab16 sol fa8 re16 fa8 sol16
                    << lab4 \\
                       { \override TextScript #'extra-offset = #'(0 . 2.5)
                         lab8_\markup{ \translate #(cons -1.2 2.5) "("
                                       \hspace #-2 "D.S.$\\times$" }
                         lab8_\markup{ \translate #(cons 1.5 2.5) ")" }
                         \revert TextScript #'extra-offset }
                    >>
                  | <do, fa la>8 <do fa la> <do fa la> <do fa la>
                    <do fa la>  <do fa la> <do fa la> <do fa la>
                  | <sib re fa la> <sib re fa la> <sib re fa la> <sib re fa la>
                    <sib re fa la> <sib re fa la> <sib re fa la> <sib re fa la>
                  | \repeat "percent" 2 { <do fa la>8 <do fa la> <do fa la> <do fa la>
                                          <do fa la>  <do fa la> <do fa la> <do fa la> }
% 21
                  | <do fa sol> <do fa sol> <do fa sol> <do fa sol>
                    <do mi sol> <do mi sol> <do mi sol> <do mi sol>
                  | <do fa sol> <do fa sol> <do fa sol> <do fa sol>
                    <do mi sol> <do mi sol> <dod mi sol> <dod mi sol>
                  | <do fa la> <do fa la> <do fa la> <do fa la>
                    <do fa la> <do fa la> <do fa la> <do fa la>
                  | << { \once \override TextScript #'extra-offset = #'(0 . 1)
                         sol'16^\markup{ "(Brass)" }[ sib re fa]~
                         fa re sib8 re16 fa8 re16 lab8 la } \\ <sib, re fa la>1 >>
% 25
                  | <do fa la>8[ <do fa la> <do fa la> <do fa la>]
                  | <si re fa la>[ <si re fa la> <si re fa la> <si re fa la>]
                    <si re fa la>[ <si re fa la> <si re fa la> <si re fa la>]
                  | <re fa la>[ <re fa la> <re fa la> <re fa la>]
                  | <si re fa la>[ <si re fa la> <si re fa la> <si re fa la>]
                    <si re fa la>[ <si re fa la> <si re fa la> <si re fa la>]
                  | \repeat "percent" 2 {
                      <sib! re fa la>[ <sib re fa la> <sib re fa la> <sib re fa la>]
                      <sib re fa la>[ <sib re fa la> <sib re fa la> <sib re fa la>] }
% 31
                  | <do fa la>[ <do fa la> <do fa la> <do fa la>]
                    <do fa la>[ <do fa la> <do fa la> <do fa la>]
                  | << { sol'16[ sib re fa]~ fa re sib8 re16 fa8 re16 sib8 re } \\
                       <sib, re fa la>1 >>
                  | <sib mib sol>8[ <sib mib sol> <sib mib sol>] r
                  | sol'8 sib sib16 do8. sol4
% 35
                  | sib16 do8 sol16 sol la8.
                  | sib8 sib sib la do4 sib
                  | la2~ la8 \acciaccatura la sib la sol
                  | fa[ si16\rest fa] si16\rest fa si8\rest
                    <mib, lab sib> <mib lab sib> <mib lab sib> <mib lab sib>
                  | \repeat "percent" 2 { lab[ lab] sol16[ fa8 mib16]~
                                          mib16[ lab, do mib]~ mib[ sol mib8] }
% 41
                  | sib'8 sib lab16[ sol fa8] re16 fa8 sol16 lab4
                  | << { sol16[ sib re fa]~ fa re sib8 re16 fa8 re16 sib8 re } \\
                         <sib, re fa la>1 >>
                  | <sib mib sol>8[ <sib mib sol> <sib mib sol>] r8
                  | <sib mib sol>1
% 45
                  | R1^\fermataMarkup
                  |
                }
            }


            \new Staff {
                \clef bass
                \key do \minor
                mib8[ sib]  mib[ sib]  mib[ sib]
              | mib[ sib]  re[ la]
              | sol,[ sol]  fa,[ fa]  mi,[ do, re, mi,]
              | fa,[ sol, la, do] fa2
% 5
              | sib,8[ sib]  sib,[ sib]  lab,[ lab]  lab,[ lab]
              | \repeat "percent" 2 { sib,[ sib]  sib,[ sib]  lab,[ lab]  lab,[ lab] }
              | sib,8 sib,~ sib,2~ sib,8 sib,
              | mib8[ sib] mib[ sib] mib[ sib]
% 10
              | mib[ sib]  re[ la]
              | sol,[ sol]  fa,[ fa]  mi,[ do, re, mi,]
              | fa,[ sol, la, do] fa2
              | sib,8[ sib]  sib,[ sib]  lab,[ lab]  lab,[ lab]
              | \repeat "percent" 2 { sib,[ sib]  sib,[ sib]  lab,[ lab]  lab,[ lab] }
% 16
              | sib,8 sib, << { \tieDown sib,2~ sib,8 sib, \tieBoth } \\
                              { \override TextScript #'extra-offset = #'(0 . 2.5)
                                s2 sib,4_\markup{ \translate #(cons -1.2 2.5) "("
                                                  \hspace #-2 "D.S.$\\times$"
                                                  \translate #(cons -2.2 2.5) ")" }
                                \revert TextScript #'extra-offset }
                           >>
              | re8  r la, r re   r la, r
              | sol, r re, r sol, r re, r
              | fa,  r do, r fa,  r do, r
% 20
              | fa,4. la,4. do4
              | do8 r sol, r do   r sol, r
              | do8 r sol, r do   r la,  r
              | re1
              | sol,1
% 25
              | re8[ re re re]
              | sol,[ sol, sol, sol,]  sol,[ sol, sol, sol,]
              | re[ re re re]
              | sol,[ sol, sol, sol,]  sol,[ sol, sol, sol,]
              | do[ do do do]  do[ do do do]
% 30
              | sib,[ sib, sib, sib,]  sib,[ sib, sib, sib,]
              | re[ re re re]  re[ re re re]
              | sol,1
              | mib8[ mib mib] r
              | mib[ sib]  mib[ sib]  mib[ sib]
% 35
              | mib[ sib]  re[ la]
              | sol,[ sol]  fa,[ fa]  mi,[ do, re, mi,]
              | fa,[ sol, la, do] fa2
              | sib,8[ sib]  sib,[ sib]  lab,[ lab]  lab,[ lab]
              | \repeat "percent" 2 { sib,8[ sib]  sib,[ sib]  fa,[ lab]  fa,[ lab] }
% 41
              | sib,8 sib,~ sib,2~ sib,8 sib,
              | sol,1
              | mib8[ mib mib]
                \once \override TextScript #'extra-offset = #'(0 . -2)
                r8_\markup{ \bold "D.S." }
              \bar "||"
              | << { mib'4 re'^\markup{ "(Bass Guitar)" } do' sib } \\ mib1 >>
% 45
              | << mib1^\fermata \\
                   { %\once \override MultiMeasureRest #'staff-position = #0
                     R1_\markup{ \musicglyph #"scripts-dfermata" } } >>
              |
            }
        >>
    >>


    \paper {
        papersize   = "a4"
        linewidth   = 170\mm
        indent      = 10\mm
         \context {
           \PianoStaffContext
           \override VerticalAlignment #'forced-distance = #11
         }
    }


    \midi {
        \tempo 1 = 23
    }
}


%{
Local variables:
compile-command:  "make MarthaMyDear.ps && gv MarthaMyDear.ps"
End:
%}
