\version "2.2.3"

chordOffset = #(cons 0.0 1.0)
lyricsFont  = #"wcmr10"


% Helper for chord definitions
#(def-markup-command (chord paper props ch) (string?)
   "Put the text of the chord inside the `\\chord{}' and print the result
   raised. Syntax: \\chord #\"chord-text\""
   (interpret-markup paper props
    (markup "" #:translate chordOffset (string-append "\\chord{" ch "}"))))

% This is adopted from Lilypond's `regression/molecule-hacking.ly'
#(define (parenthesize-callback callback)
   "Construct a function that will do CALLBACK and add parentheses.
Example usage:

  \\property NoteHead \\override #'print-function
           =
              #(parenthesize-callback Note_head::print)

"
   (define (parenthesize-stencil grob)
     "This function adds parentheses to the original callback for
GROB.  The dimensions of the stencil are affected.
"

      (let* (
            (fn (ly:get-default-font grob))
            (pclose (ly:find-glyph-by-name fn "accidentals-rightparen"))
            (popen (ly:find-glyph-by-name fn "accidentals-leftparen"))
            (subject (callback grob))

            ; remember old size
            (subject-dim-x (ly:stencil-extent subject 0))
            (subject-dim-y (ly:stencil-extent subject 1))
         )

         ; add parens
         (set! subject
            (ly:stencil-combine-at-edge
               (ly:stencil-combine-at-edge subject 0 1 pclose 0.2)
               0 -1 popen  0.2
            )
         )

         subject
      )
   )
   parenthesize-stencil
)

